@echo off
REM Set 'numbak' to the number of backup files you want this script to keep.
REM Default is 15

set /a numbak=15


REM Set "sagedrive" to your SageTV program's install drive
REM Set "sagefolder" to your SageTV program directory location.
REM Don't forget trailing backslash for sagefolder
REM note: fciv.exe must be in this directory.

set sagedrive=C:
set sagefolder=\Program Files\Frey technologies\SageTV\

%sagedrive%
cd "%sagefolder%"

REM Set "bakdrive and "bakfolder" to the directory to store the backup files.
set bakdrive=C:
set bakfolder=\SageBackups\
if exist "%bakdrive%%bakfolder%" GOTO STARTSTUFF
md "%bakdrive%%bakfolder%"

:STARTSTUFF
if exist toxbaks.xml GOTO FCIVCHK
fciv -add wiz.bak -xml toxbaks.xml
if errorlevel 1 GOTO :PROB1
GOTO WIZCHANGED

:FCIVCHK
fciv -v -xml toxbaks.xml
if errorlevel 1 GOTO WIZCHANGED
ECHO NO CHANGE!
GOTO END

:WIZCHANGED
if exist %bakdrive%%bakfolder% GOTO BAKYES
GOTO PROB2
:BAKYES
%bakdrive%
cd "%bakfolder%"
move /y wiz.bak.%numbak% wiz.bak.tmp

:BAKLOOP
set /A numbakless=%numbak%-1
if %numbak%==1 GOTO COPYWIZ
move /y wiz.bak.%numbakless% wiz.bak.%numbak%
set /A numbak=%numbak%-1
GOTO BAKLOOP

:COPYWIZ
copy /y "%sagedrive%%sagefolder%wiz.bak" "%bakdrive%%bakfolder%wiz.bak.1"
if errorlevel 1 GOTO PROB3
del /f /q wiz.bak.tmp
%sagedrive%
cd "%sagefolder%"
del toxbaks.xml
fciv -add wiz.bak -xml toxbaks.xml
ECHO SUCCESS!
GOTO END

:PROB1
ECHO There was a problem creating the verify file in %sagedrive%%sagefolder%
GOTO END
:PROB2
ECHO backup directory doesn't exist
GOTO END
:PROB3
ECHO problem copying wiz.bin to backup folder
GOTO END
:END